PYFASTX(1)

NAME
pyfastx - fast random access to sequences from FASTA/Q file

DESCRIPTION
usage: pyfastx COMMAND [OPTIONS]

A command line tool for FASTA/Q file manipulation

  options:

-h, --help
    show this help message and exit

-v, --version
    show program's version number and exit

Commands:

index
    build index for fasta/q file

stat
    show detailed statistics information of fasta/q file

split
    split fasta/q file into multiple files

fq2fa
    convert fastq file to fasta file

subseq
    get subsequences from fasta file by region

sample
    randomly sample sequences from fasta or fastq file

extract
    extract full sequences or reads from fasta/q file

SEE ALSO

Each subcommand has its own on line help, which can be queried for instance with:

    $ pyfastx index --help
    usage: pyfastx index [-h] [-f] fastx [fastx ...]

    positional arguments:
      fastx       fasta or fastq file, gzip support

    options:
      -h, --help  show this help message and exit
      -f, --full  build full index, base composition will be calculated

Look up /usr/share/doc/pyfast/README.rst for more complete documentation.